cURL
curl --request PATCH \
--url https://api.example.com/public/v2/companies/{company_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"domain": "<string>",
"company_status": "<string>",
"company_custom_fields": [
{
"field_name": "<string>",
"field_value": "<string>"
}
]
}
'import requests
url = "https://api.example.com/public/v2/companies/{company_id}"
payload = {
"name": "<string>",
"domain": "<string>",
"company_status": "<string>",
"company_custom_fields": [
{
"field_name": "<string>",
"field_value": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
domain: '<string>',
company_status: '<string>',
company_custom_fields: [{field_name: '<string>', field_value: '<string>'}]
})
};
fetch('https://api.example.com/public/v2/companies/{company_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"domain": "<string>",
"company_status": "<string>",
"company_custom_fields": [
{
"field_name": "<string>",
"field_value": "<string>"
}
]
}Companies
Update Company
Updates the details of an existing company using its unique identifier.
PATCH
/
public
/
v2
/
companies
/
{company_id}
cURL
Path Parameters
Query Parameters
Format of custom fields in response. NESTED returns array of objects with id, field_name, field_value. FLAT returns object with field names as keys.
Available options:
FLAT, NESTED Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Was this page helpful?